package org.openxma.dsl.pom.util;

import java.util.List;

import org.openxma.dsl.pom.model.LabelProperty;
import org.openxma.dsl.pom.model.TextProperty;
import org.openxma.dsl.pom.model.TooltipProperty;
import org.openxma.dsl.pom.model.UnitProperty;

public class TextProperties {

	public static String getLabelText(List<TextProperty> textProperties) {
		if (textProperties != null) {
			for (TextProperty tp : textProperties) {
				if (tp instanceof LabelProperty) {
					return ((LabelProperty) tp).getText();
				}
			}
		}
		return null;
	}

	public static String getTooltipText(List<TextProperty> textProperties) {
		if (textProperties != null) {
			for (TextProperty tp : textProperties) {
				if (tp instanceof TooltipProperty) {
					return ((TooltipProperty) tp).getText();
				}
			}
		}
		return null;
	}

	public static String getUnitText(List<TextProperty> textProperties) {
		if (textProperties != null) {
			for (TextProperty tp : textProperties) {
				if (tp instanceof UnitProperty) {
					return ((UnitProperty) tp).getText();
				}
			}
		}
		return null;
	}

}
